C===================================================================
C
      PROGRAM ELLIPSE3
C
C
C  This program creates the INPUTFILE for TORSCON when the 
C  domain is an ellipse
C    
      IMPLICIT REAL*8 (A-H,O-Z)
      CHARACTER*15 INPUTFILE 
      CHARACTER*80 NAME,TITLE
      PARAMETER (N=20)
      PARAMETER (IN=13)
      DIMENSION XL(N+1),YL(N+1),XIN(IN),YIN(IN)
C      
      WRITE(*,'(A)')' Name of the INPUTFILE (max.15 characters)'
      READ(*,'(A)') INPUTFILE
      OPEN(1, FILE=INPUTFILE)
      WRITE(*,'(A)')' User NAME (max.15 characters)'
      READ(*,'(A)')NAME
      WRITE(1,'(A)')NAME
      WRITE(*,'(A)')' Program TITLE (max.15 characters)' 
      READ(*,'(A)')TITLE
      WRITE(1,'(A)')TITLE
C      
      WRITE(1,100)
  100 FORMAT(' ',79(' '))
C  
      A=5.
      B=3.         
      PI=ACOS(-1.)
      DTHETA=(2.*PI)/N
      DO 1 I=1,N
      THETA=-DTHETA/2.+(I-1)*DTHETA
      XL(I)=A*COS(THETA)
      YL(I)=B*SIN(THETA)      
      WRITE(1,200)XL(I),YL(I)
  200 FORMAT(2(2X,F14.7))         
    1 CONTINUE
C
	XL(N+1)=XL(1)
	YL(N+1)=YL(1)
	WRITE (1,100)
C
      DA=A/2.
      DB=B/2.
      WRITE(1,100)     
C
      DTHETA=(2.*PI)/12. 
      DO 3 I=1,12   
      THETA=(I-1)*DTHETA
      XIN(I)=DA*COS(THETA)
      YIN(I)=DB*SIN(THETA)
      WRITE(1,200)XIN(I),YIN(I)  
    3 CONTINUE
C
      XIN(IN)=0.
	YIN(IN)=0.
	WRITE (1,200) XIN(IN),YIN(IN)     
C    
      STOP
      END 
C
C===================================================================       